ods-migrate.c File Reference
`#include "config.h"`
`#include <getopt.h>`
`#include <dlfcn.h>`
`#include <libxml/parser.h>`
`#include "log.h"`
`#include "libhsm.h"`
`#include "daemon/cfg.h"`
`#include "libhsmdns.h"`
`#include "db/key_data.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Data Structures

struct | dblayer_struct

## Functions

hsm_repository_t * | parse_conf_repositories (const char *cfgfile)
int | main (int argc, char *argv[])

## Variables

int | verbosity
char * | argv0
struct dblayer_struct | dblayer
const char * | listQueryStr = "select keyData.id,keyData.algorithm,keyData.role,keyData.keytag,hsmKey.locator from keyData join hsmKey on keyData.hsmKeyId = hsmKey.id"
const char * | updateQueryStr = "update keyData set keytag = ? where id = ?"

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 319 of file ods-migrate.c.

References argv0, engineconfig_struct::datastore, engineconfig_struct::db_host, engineconfig_struct::db_password, engineconfig_struct::db_port, engineconfig_struct::db_type, engineconfig_struct::db_username, ENFORCER_DATABASE_TYPE_MYSQL, ENFORCER_DATABASE_TYPE_NONE, ENFORCER_DATABASE_TYPE_SQLITE, engine_config(), engine_config_check(), engine_config_cleanup(), listQueryStr, parse_conf_repositories(), updateQueryStr, engineconfig_struct::verbosity, and verbosity.

## parse_conf_repositories()

hsm_repository_t * parse_conf_repositories | ( | const char * | cfgfile | ) |

extern

Parse the repositories.

Definition at line 205 of file confparser.c.

Referenced by engine_config(), and main().

## Variable Documentation

## argv0

char* argv0

Definition at line 50 of file ods-migrate.c.

Referenced by main().

## dblayer

struct dblayer_struct dblayer

## listQueryStr

const char* listQueryStr = "select keyData.id,keyData.algorithm,keyData.role,keyData.keytag,hsmKey.locator from keyData join hsmKey on keyData.hsmKeyId = hsmKey.id"

Definition at line 295 of file ods-migrate.c.

Referenced by main().

## updateQueryStr

const char* updateQueryStr = "update keyData set keytag = ? where id = ?"

Definition at line 296 of file ods-migrate.c.

Referenced by main().

## verbosity

int verbosity

Definition at line 49 of file ods-migrate.c.

Referenced by main(), and parse_conf_verbosity().